Package org.firebirdsql.jdbc.metadata

## Class GetFunctionColumns

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetFunctionColumns

    @InternalApi
    public abstract class GetFunctionColumns
    extends java.lang.Object

Provides the implementation for `DatabaseMetaData.getFunctionColumns(String, String, String, String)`.

Since:
  4.0
Author:
  Mark Rotteveel

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GetFunctionColumns` `create​(DbMetadataMediator mediator)`
`java.sql.ResultSet` `getFunctionColumns​(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String functionNamePattern, java.lang.String columnNamePattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFunctionColumns

    public java.sql.ResultSet getFunctionColumns​(java.lang.String catalog,
                                                 java.lang.String schemaPattern,
                                                 java.lang.String functionNamePattern,
                                                 java.lang.String columnNamePattern)
                                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`
See Also:
  `DatabaseMetaData.getFunctionColumns(String, String, String, String)`

#### create

    public static GetFunctionColumns create​(DbMetadataMediator mediator)